import { InputBaseComponentProps, InputLabelProps, SxProps } from '@mui/material';

interface Props {
    label: string;
    disabled?: boolean;
    notEditing?: boolean;
    countries?: string | string[];
    required?: boolean;
    initialValue?: string;
    onChange: (value: string, error: string) => void;
    missingErrorMessage?: string;
    invalidErrorMessage?: string;
    inputLabelProps?: Partial<InputLabelProps>;
    sx?: SxProps;
    inputProps?: InputBaseComponentProps;
}
export declare function PhoneInput({ disabled, notEditing, countries, label, required, initialValue, onChange, missingErrorMessage, invalidErrorMessage, inputLabelProps, sx, inputProps, }: Props): import("node_modules/@types/react/jsx-runtime").JSX.Element;
export {};
//# sourceMappingURL=PhoneInput.d.ts.map